---
lang: en
title: 'API docs: context.binding._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.binding._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [Binding](./context.binding.md) &gt; [(constructor)](./context.binding._constructor_.md)

## Binding.(constructor)

Constructs a new instance of the `Binding` class

**Signature:**

```typescript
constructor(key: BindingAddress<T>, isLocked?: boolean);
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

key


</td><td>

[BindingAddress](./context.bindingaddress.md)<!-- -->&lt;T&gt;


</td><td>


</td></tr>
<tr><td>

isLocked


</td><td>

boolean


</td><td>

_(Optional)_


</td></tr>
</tbody></table>


